For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
      • WSSRealtime
      • GETGet transcript
      • DELDelete transcript
      • POSTCreate transcript
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAPISpeech to Text

Get transcript

GET
/v1/speech-to-text/transcripts/:transcription_id
GET
/v1/speech-to-text/transcripts/:transcription_id
$curl https://api.elevenlabs.io/v1/speech-to-text/transcripts/transcription_id
1{
2 "language_code": "en",
3 "language_probability": 0.98,
4 "text": "Hello world!",
5 "words": [
6 {
7 "text": "Hello",
8 "start": 0,
9 "end": 0.5,
10 "type": "word",
11 "speaker_id": "speaker_1",
12 "logprob": -0.124
13 },
14 {
15 "text": " ",
16 "start": 0.5,
17 "end": 0.5,
18 "type": "spacing",
19 "speaker_id": "speaker_1",
20 "logprob": 0
21 },
22 {
23 "text": "world!",
24 "start": 0.5,
25 "end": 1.2,
26 "type": "word",
27 "speaker_id": "speaker_1",
28 "logprob": -0.089
29 }
30 ]
31}
Retrieve a previously generated transcript by its ID.
Was this page helpful?
Previous

Delete transcript

Next
Built with

Path parameters

transcription_idstringRequired
The unique ID of the transcript to retrieve

Headers

xi-api-keystringOptional

Response

The transcript data
SpeechToTextChunkResponseModelobject

Chunk-level detail of the transcription with timing information.

OR
MultichannelSpeechToTextResponseModelobject

Response model for multichannel speech-to-text transcription.

OR
SpeechToTextChunkResponseModelobject

Chunk-level detail of the transcription with timing information.

OR
MultichannelSpeechToTextResponseModelobject

Response model for multichannel speech-to-text transcription.

Errors

422
Unprocessable Entity Error